﻿@model List<eCommerce.Services.Model.LookbookGroup>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-3">Nombre</th>
            @*<th class="col-xs-3">Productos</th>*@
            <th class="col-xs-3 text-center">Es campaña</th>
            <th class="col-xs-3 text-center">Activo</th>
            <th class="col-xs-3 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var LookbookGroup in Model)
        {
            <tr>
                <td>
                    @LookbookGroup.Name
                </td>

                <td class="text-center">
                    @if (LookbookGroup.IsCampaign)
                    {
                        <span class="label label-outline label-success">Si</span>
                    }
                    else
                    {
                        <span class="label label-outline label-danger">No</span>
                    }
                </td>
                <td class="text-center">
                    @if (LookbookGroup.Active)
                    {
                        <span class="label label-outline label-success">Si</span>
                    }
                    else
                    {
                        <span class="label label-outline label-danger">No</span>
                    }
                </td>
                @*<td>
                    @lookbook.LookbookProducts.Count()
                </td>*@
                <td class="actions text-nowrap text-center">
                    <a href="/LookbookGroup/LookbookGroupUpdate?Id=@LookbookGroup.LookbookGroupId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Editar" data-rowid="@LookbookGroup.LookbookGroupId"><i class="icon wb-edit" aria-hidden=" true"></i></a>

                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@LookbookGroup.LookbookGroupId" onclick="fDeleteDialog(@LookbookGroup.LookbookGroupId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
                </td>
            </tr>
        }
    </tbody>
</table>
